/**
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-ripple-outer {
  cursor: pointer;
  overflow: hidden;
  position: relative;
  z-index: 1;
}

.nv-ripples {
  height: 100%;
  left: 0;
  overflow: hidden;
  pointer-events: none;
  position: absolute !important;
  top: 0;
  width: 100%;
  z-index: 0;
}

.nv-ripple {
  background-color: var(--nv-theme-alt-2);
  border-radius: 50%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  position: absolute;
  transform: scale(0);
  width: 100%;
}

.nv-ripple-enter {
  // animation: ripple $transition-moviment 800ms;
  animation-fill-mode: forwards;
}

@keyframes ripple {
  from {
    opacity: 0.55;
    transform: scale(0);
  }

  to {
    opacity: 0;
    transform: scale(4);
  }
}
